import { StoreType } from '@/redux/store';
import { getReduxWrapperWithStore } from '@/utils/testing/getReduxWrapperWithStore';
import { render, screen } from '@testing-library/react';
import { TopBar } from './TopBar.component';

const renderComponent = (): { store: StoreType } => {
  const { Wrapper, store } = getReduxWrapperWithStore();

  return (
    render(
      <Wrapper>
        <TopBar />
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe('TopBar - component', () => {
  it('Should contain user avatar, search bar', () => {
    renderComponent();

    expect(screen.getByTestId('user-avatar')).toBeInTheDocument();
    expect(screen.getByTestId('search-bar')).toBeInTheDocument();
  });
});
