import backgroundsReducer from '@/redux/backgrounds/backgrounds.slice';
import bioEntityReducer from '@/redux/bioEntity/bioEntity.slice';
import chemicalsReducer from '@/redux/chemicals/chemicals.slice';
import drawerReducer from '@/redux/drawer/drawer.slice';
import drugsReducer from '@/redux/drugs/drugs.slice';
import mapReducer from '@/redux/map/map.slice';
import mirnasReducer from '@/redux/mirnas/mirnas.slice';
import modelsReducer from '@/redux/models/models.slice';
import overlaysReducer from '@/redux/overlays/overlays.slice';
import projectReducer from '@/redux/project/project.slice';
import searchReducer from '@/redux/search/search.slice';
import { configureStore } from '@reduxjs/toolkit';

export const reducers = {
  search: searchReducer,
  project: projectReducer,
  drugs: drugsReducer,
  mirnas: mirnasReducer,
  chemicals: chemicalsReducer,
  bioEntity: bioEntityReducer,
  drawer: drawerReducer,
  map: mapReducer,
  backgrounds: backgroundsReducer,
  overlays: overlaysReducer,
  models: modelsReducer,
};

export const store = configureStore({
  reducer: reducers,
  devTools: true,
});

export type StoreType = typeof store;
// Infer the `RootState` and `AppDispatch` types from the store itself
export type RootState = ReturnType<typeof store.getState>;
// Inferred type: {posts: PostsState, comments: CommentsState, users: UsersState}
export type AppDispatch = typeof store.dispatch;
